curl -X GET https://api.bizmori.com/api/v3/orders/ORDER_ID \
-H "Authorization: Bearer YOUR_API_KEY"
const orderId = 'ORDER_ID';
const response = await fetch(`https://api.bizmori.com/api/v3/orders/${orderId}`, {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
const { data } = await response.json();
import requests
order_id = 'ORDER_ID'
response = requests.get(
f'https://api.bizmori.com/api/v3/orders/{order_id}',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()['data']

{
"data": {
"orderId": "1234567891",
"status": "complete",
"processingDelayed": false,
"expiresAt": "2026-10-08T03:00:00.000Z",
"files": [
{
"fileId": "601",
"uploadUrl": null
},
{
"fileId": "602",
"uploadUrl": null
}
],
"outputs": [],
"result": {
"detectionStatus": "detected",
"reportSupported": true,
"watermarkText": "MORI-2026-001"
},
"reports": [
{
"locale": "en-US",
"status": "completed"
}
]
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "ORDER_NOT_FOUND"
}{
"code": "SERVER_INTERNAL_ERROR"
}watermark 注文詳細を取得
v3 API で作成した watermark 注文のステータス、アップロード URL、埋め込み結果、抽出結果、レポートのステータスを取得します。注文のステータスに関係なく、いつでも呼び出せます。
POST /api/v3/orders/wtr-embed・wtr-extract で作成した watermark 注文だけを取得します。Anti-AI、AI Detection などそれ以外の注文は 404 ORDER_NOT_FOUND を返すため、GET /api/v2/orders/{orderId} を使用してください。
files[].uploadUrlは、注文のstatusがpendingで保管期限前、かつアップロード待ちのファイルにだけ発行します。それ以外はnullですresultにはdetectionStatus、reportSupported、watermarkTextだけが含まれます。埋め込み注文と、抽出結果が出る前はnullですresult.watermarkTextは、検出された watermark を呼び出し元のアカウントが埋め込み、発行記録がちょうど 1 件のときだけ埋め込みテキストを返します。それ以外はnullです
curl -X GET https://api.bizmori.com/api/v3/orders/ORDER_ID \
-H "Authorization: Bearer YOUR_API_KEY"
const orderId = 'ORDER_ID';
const response = await fetch(`https://api.bizmori.com/api/v3/orders/${orderId}`, {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
const { data } = await response.json();
import requests
order_id = 'ORDER_ID'
response = requests.get(
f'https://api.bizmori.com/api/v3/orders/{order_id}',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
data = response.json()['data']

{
"data": {
"orderId": "1234567891",
"status": "complete",
"processingDelayed": false,
"expiresAt": "2026-10-08T03:00:00.000Z",
"files": [
{
"fileId": "601",
"uploadUrl": null
},
{
"fileId": "602",
"uploadUrl": null
}
],
"outputs": [],
"result": {
"detectionStatus": "detected",
"reportSupported": true,
"watermarkText": "MORI-2026-001"
},
"reports": [
{
"locale": "en-US",
"status": "completed"
}
]
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "ORDER_NOT_FOUND"
}{
"code": "SERVER_INTERNAL_ERROR"
}承認
外部クライアントアクセス用のBearer APIキー。本番キーは sk_ プレフィックスを使用し、テストキーは sk_test_ プレフィックスを使用して、処理やクレジット消費なしに注文ライフサイクルを検証します。
パスパラメータ
注文 ID
レスポンス
注文詳細
v3 API で作成した不可視 watermark 注文
Hide child attributes
Hide child attributes
注文 ID
注文の処理ステータス
pending- ファイルのアップロード待ちinProgress- 処理中complete- 処理完了。抽出注文はresultで結果を確認しますfailed- 処理失敗、または 12 時間以内にアップロードされなかったexpired- 保管期限を過ぎ、ファイルが削除された
pending, inProgress, complete, failed, expired 自動再試行をすべて使い切り、手動復旧を待っている場合は true。注文は inProgress のままです
リクエスト順の入力ファイル。抽出注文は元ファイル、検査ファイルの順です
埋め込み結果。watermark テキストごとに 1 件で、抽出注文では空の配列です
Hide child attributes
Hide child attributes
{inputFileId}-{連番} 形式の結果ファイル ID(outputs[].fileId)
この結果を作成した入力ファイル ID
入力ファイルの watermarks 内でのテキストの位置
x >= 0埋め込んだ watermark テキスト
この結果ファイルの処理ステータス
pending, queued, processing, completed, failed, retry_required image, pdf 抽出結果の概要。埋め込み注文と、結果が出る前は null で、以下のフィールドだけを含みます
Hide child attributes
Hide child attributes
detected- watermark を検出not_detected- 最後まで検査したが watermark なしinconclusive- 候補はあるが確信度の基準に満たず判定不可unsupported- 処理できない入力 (クレジット返金)error- 検出処理の失敗。watermark なしとは異なる (クレジット返金)
detected, not_detected, inconclusive, unsupported, error この結果からレポートを作成できるかどうか。PDF からキャプチャした画像は false
検出された watermark の埋め込みテキスト。detectionStatus が detected で、呼び出し元のアカウントが埋め込み、発行記録がちょうど 1 件のときだけ返します。
別のアカウントが埋め込んだ watermark など、それ以外は null です。
注文ファイルが削除される日時。以降のダウンロードとレポートは ORDER_EXPIRED を返します